Device Geo position
GetForRange geo position for all devices
query Parameters
| measurement | string measurement |
Responses
Response samples
- 200
[- {
- "altitude": 0,
- "distanceTraveled": 0,
- "heading": 0,
- "id": "string",
- "lastUpdate": 0,
- "lat": 0,
- "lon": 0,
- "measurement": "string",
- "online": true,
- "speed": 0,
- "tags": { },
- "time": 0
}
]Device Geo position
GetForRange geo position for device
path Parameters
| id required | string id |
query Parameters
| measurement | string measurement |
| fields | string Comma separated list of fields(will limit the response) |
| reverse | boolean Geo reverse |
| lang | string Address language |
Responses
Response samples
- 200
{- "altitude": 0,
- "distanceTraveled": 0,
- "geoReverse": {
- "city": "string",
- "country": "string",
- "countryCode": "string",
- "fullAddress": "string",
- "houseNumber": "string",
- "id": "string",
- "lat": 0,
- "lon": 0,
- "measurement": "string",
- "postalCode": "string",
- "street": "string",
- "time": 0
}, - "heading": 0,
- "id": "string",
- "lastUpdate": 0,
- "lat": 0,
- "lon": 0,
- "measurement": "string",
- "online": true,
- "speed": 0,
- "tags": { },
- "time": 0
}Geo Path
Geo Path
path Parameters
| id required | string id |
query Parameters
| measurement | string measurement |
| start required | integer Start time Epoch in miliseconds |
| end required | integer End time Epoch in miliseconds |
| limit | integer End time Epoch in miliseconds |
| meters | integer Used to filter most relevant data points representing movement. Only values where a move greater or equal to the desired meters will be shown |
| includeCurrentPosition | boolean Used to filter most relevant data points representing movement. Only values where a move greater or equal to the desired meters will be shown |
Responses
Response samples
- 200
{- "currentPosition": {
- "altitude": 0,
- "distanceTraveled": 0,
- "heading": 0,
- "id": "string",
- "lastUpdate": 0,
- "lat": 0,
- "lon": 0,
- "measurement": "string",
- "online": true,
- "speed": 0,
- "tags": { },
- "time": 0
}, - "points": [
- {
- "altitude": 0,
- "distanceTraveled": 0,
- "heading": 0,
- "id": "string",
- "lastUpdate": 0,
- "lat": 0,
- "lon": 0,
- "measurement": "string",
- "online": true,
- "speed": 0,
- "tags": { },
- "time": 0
}
], - "totalPoints": 0
}Geo Reverse
Geo Reverse (address)
path Parameters
| id required | string id |
query Parameters
| measurement | string measurement |
| lang | string Address language |
Responses
Response samples
- 200
{- "city": "string",
- "country": "string",
- "countryCode": "string",
- "fullAddress": "string",
- "houseNumber": "string",
- "id": "string",
- "lat": 0,
- "lon": 0,
- "measurement": "string",
- "postalCode": "string",
- "street": "string",
- "time": 0
}List jobs by type
List all background jobs of a specific type
query Parameters
| type required | string Enum: "correlation_update" "quantile_update" job type |
Responses
Response samples
- 200
[- {
- "completed_at": "string",
- "created_at": "string",
- "error_message": "string",
- "id": "string",
- "measurement": "string",
- "processed_rows": 0,
- "progress": 0,
- "schema": "string",
- "started_at": "string",
- "status": "pending",
- "total_rows": 0,
- "type": "correlation_update",
- "updated_at": "string"
}
]Response samples
- 200
{- "completed_at": "string",
- "created_at": "string",
- "error_message": "string",
- "id": "string",
- "measurement": "string",
- "processed_rows": 0,
- "progress": 0,
- "schema": "string",
- "started_at": "string",
- "status": "pending",
- "total_rows": 0,
- "type": "correlation_update",
- "updated_at": "string"
}Returns the approximate count of the data points for a specific measurement and its aggregates
Returns the approximate count of the data points for a specific measurement and its aggregates
path Parameters
| measurement required | string measurement |
query Parameters
| startDate | string Start Date |
| endDate | string End Date |
Responses
Response samples
- 200
{- "aggregations": [
- {
- "byteSize": 0,
- "interval": "string",
- "name": "string",
- "rowCount": 0
}
], - "byteSize": 0,
- "date": {
- "time.Time": "string"
}, - "name": "string",
- "rowCount": 0,
- "tenant": "string"
}Returns current tenant size ( number of data points, disk size )
Returns the approximate count of the data points and disk size the current tenant
query Parameters
| startDate | string Start Date |
| endDate | string End Date |
Responses
Response samples
- 200
{- "byteSize": 0,
- "date": {
- "time.Time": "string"
}, - "measurements": [
- {
- "byteSize": 0,
- "name": "string",
- "rowCount": 0
}
], - "rowCount": 0,
- "tenant": "string"
}Get latest quantile profile
Get latest quantile profile
path Parameters
| measurement required | string measurement |
Responses
Response samples
- 200
[- {
- "bucketSize": 0,
- "endTime": "string",
- "errors": 0,
- "measure": "string",
- "measurement": "string",
- "p10": 0,
- "p25": 0,
- "p50": 0,
- "p75": 0,
- "p90": 0,
- "startTime": "string",
- "totalValues": 0,
- "updatedAt": "string"
}
]Read a device Snapshot values (last values)
The snapshot endpoint will per default return the last value for all properties available for a thing. Use the fields parameter to send a comma separated list of fields of only specific fields are required.
Request Body schema: application/jsonrequired
Timeseries Query
| gapFill | string Enum: "none" "time" "locf" "interpolate" |
required | Array of objects (nbq_internal_models.Query) |
| useRaw | boolean Default: false |
required | object (nbq_internal_models.Window) |
Responses
Request samples
- Payload
{- "gapFill": { },
- "queries": [
- {
- "aggregations": [
- "min"
], - "end": { },
- "id": "string",
- "includeTags": true,
- "max": 0,
- "measure": "string",
- "measureType": "numeric",
- "measurement": "string",
- "min": 0,
- "precision": 0,
- "queryId": "string",
- "start": { },
- "tags": {
- "property1": "string",
- "property2": "string"
}
}
], - "useRaw": false,
- "window": {
- "bucketSize": { },
- "end": { },
- "shiftWindow": true,
- "start": { },
- "timeZone": "string"
}
}Response samples
- 200
[- {
- "id": "string",
- "lastUpdate": 0,
- "measurement": "string",
- "online": true,
- "tagId": "string",
- "values": [
- {
- "dataType": "string",
- "id": "string",
- "measure": "string",
- "tags": { },
- "time": 0,
- "value": { }
}
]
}
]Snapshot query for multiple ids
An array if queries can be provided containing the desired id measurement and snapshot fields if the measure and id are found the values are returned
Request Body schema: application/jsonrequired
Snapshot Query
| id | string |
| measurement | string |
| measures | Array of strings |
| queryId | string |
object | |
| type | string |
| updatesOnly | boolean |
| version | string |
Responses
Request samples
- Payload
[- {
- "id": "string",
- "measurement": "string",
- "measures": [
- "string"
], - "queryId": "string",
- "tags": {
- "property1": "string",
- "property2": "string"
}, - "type": "string",
- "updatesOnly": true,
- "version": "string"
}
]Response samples
- 200
[- {
- "id": "string",
- "lastUpdate": 0,
- "measurement": "string",
- "online": true,
- "queryId": "string",
- "values": [
- {
- "measure": "string",
- "tags": { },
- "time": 0,
- "value": { }
}
]
}
]Read a device Snapshot values (last values)
The snapshot endpoint will per default return the last value for all properties available for a thing. Use the fields parameter to send a comma separated list of fields of only specific fields are required.
path Parameters
| id required | string Device id |
query Parameters
| measurement | string measurement name |
| fields | string comma separated list of fields |
| tags | string Tag values (key-value pairs) |
Responses
Response samples
- 200
{- "id": "string",
- "lastUpdate": 0,
- "measurement": "string",
- "online": true,
- "tagId": "string",
- "values": [
- {
- "dataType": "string",
- "id": "string",
- "measure": "string",
- "tags": { },
- "time": 0,
- "value": { }
}
]
}Read a device Snapshot values (last values)
The snapshot endpoint will per default return the last value for all properties available for a thing. Use the fields parameter to send a comma separated list of fields of only specific fields are required.
path Parameters
| ids required | string Device ids (comma separated) |
query Parameters
| measurement | string measurement name |
| fields | string comma separated list of fields |
| tags | string Tag values (key-value pairs) |
Responses
Response samples
- 200
[- {
- "id": "string",
- "lastUpdate": 0,
- "measurement": "string",
- "online": true,
- "tagId": "string",
- "values": [
- {
- "dataType": "string",
- "id": "string",
- "measure": "string",
- "tags": { },
- "time": 0,
- "value": { }
}
]
}
]